#!/bin/bash
# Wenn diese Datei im Editor geoeffnet wird, muessen Sie
# diese ausfuehrbar machen! ("Datei als Programm ausfuehren")
# Der Name dieser Datei muss gleich sein wie EasyTax,
# jedoch ".sh" statt ".jar". Z.B. "ETAG11.sh" <=> "ETAG11.jar"

BASEDIR="$(dirname $(readlink -f $0))";
if [ -d "$BASEDIR/lib" ]; then
  BASEDIR="$BASEDIR/lib";
fi;
APP="$(basename $(readlink -f $0))";
APP=${APP:0:6};
JAR="$BASEDIR/$APP.jar";
if [ -f $JAR ]; then
  echo "$JAR";
else
  echo "Fehler: Datei nicht gefunden: '$JAR'";
  exit;
fi;
DIR="$HOME";
if [ -d "$HOME/Documents" ]; then
  DIR="$HOME/Documents"; 
elif [ -d "$HOME/Dokumente" ]; then
  DIR="$HOME/Dokumente";
elif [ -d "$HOME/Desktop" ]; then
  DIR="$HOME/Desktop";
fi;
FILE="$DIR/${APP}_$(date '+%y-%m-%d')";
OUT="$FILE.out.txt";
ERR="$FILE.err.txt";
touch $OUT;
touch $ERR;
echo "*** $(date) ***" >> $OUT 2>> $ERR
java -jar "$JAR" --verbose >> $OUT 2>> $ERR &
echo "EasyTax wird gestartet..."
echo "Siehe Logfiles:";
echo $OUT;
echo $ERR;
wait;
if [ -f "$(which xdg-open)" ]; then
  xdg-open $OUT;
  xdg-open $ERR;
fi;
